// JWDialog.java
// $Id: JWDialog.java,v 1.4 1999/10/13 09:54:09 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 1999.
// Please first read the full copyright statement in file COPYRIGHT.html

package org.w3c.jwput.gui;

import java.awt.Component;

import org.w3c.jwput.JWUI;

/**
 * Interface for Winie Dialogs
 * @version $Revision: 1.4 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public interface JWDialog {

    /**
     * Return value if cancel is chosen.
     */
    public static final int CANCEL_OPTION = JWUI.CANCEL_OPTION;

    /**
     * Return value if approve (yes, ok) is chosen.
     */
    public static final int APPROVE_OPTION = JWUI.APPROVE_OPTION;

    /**
     * Return value if abort is chosen.
     */
    public static final int ABORT_OPTION = JWUI.ABORT_OPTION;

    /**
     * Return value if an error occured.
     */
    public static final int ERROR_OPTION = JWUI.ERROR_OPTION;

    /**
     * Show this modal dialog
     * @param comp the parent component
     * @return CANCEL_OPTION, APPROVE_OPTION, ERROR_OPTION
     */
    public int showDialog(Component comp);
    
}
